Loading...
Searching...
No Matches
Opm::UDQDims Class Reference

Collection of UDQ and UDA related dimension queries. More...

`#include <UDQDims.hpp>`

## Public Member Functions

| UDQDims (const UDQConfig &config, const std::vector< int > &intehead)
| Constructor.
std::size_t | totalNumUDQs () const
| Total number of UDQs in run of all types/categories.
std::size_t | numIUAD () const
| Total number of UDAs in run.
std::size_t | numIGPH () const
| Number of potential group level injection phase UDAs.
std::size_t | numIUAP () const
| Number of well/group IDs involved in UDAs.
std::size_t | numFieldUDQs () const
| Number of field level UDQs.
std::size_t | maxNumGroups () const
| Maximum number of groups in run, including FIELD.
std::size_t | numGroupUDQs () const
| Number of group level UDQs.
std::size_t | maxNumMsWells () const
| Run's maximum number of multi-segmented wells.
std::size_t | maxNumSegments () const
| Run's maximum number of segments per multi-segmented well.
std::size_t | numSegmentUDQs () const
| Number of segment level UDQs.
std::size_t | maxNumWells () const
| Run's maximum number of wells, multi-segmented or otherwise.
std::size_t | numWellUDQs () const
| Number of well level UDQs.
const std::vector< int > & | data () const
| Linear sequence of some array sizes.

## Static Public Member Functions

static std::size_t | entriesPerIUDQ ()
| Number of IUDQ elements per UDQ.
static std::size_t | entriesPerIUAD ()
| Number of IUAD elements per UDA.
static std::size_t | entriesPerZUDN ()
| Number of ZUDN elments per UDQ.
static std::size_t | entriesPerZUDL ()
| Number of ZUDL elments per UDQ.

## Detailed Description

Collection of UDQ and UDA related dimension queries.

Used to size various restart file output arrays.

## Constructor & Destructor Documentation

## UDQDims()

Opm::UDQDims::UDQDims | ( | const UDQConfig & | config,
|  | const std::vector< int > & | intehead )

explicit

Constructor.

Parameters

  [in] | config | Collection of run's UDQs.
  [in] | intehead | Current report step's INTEHEAD array. Queried for most dimension values.

## Member Function Documentation

## data()

const std::vector< int > & Opm::UDQDims::data | ( |  | ) | const

inline

Linear sequence of some array sizes.

Retained for backwards compatibility but will be removed in the future.

## numIGPH()

std::size_t Opm::UDQDims::numIGPH | ( |  | ) | const

Number of potential group level injection phase UDAs.

Zero if no UDAs in run, maximum number of groups otherwise.

The documentation for this class was generated from the following files:

- opm/output/eclipse/UDQDims.hpp
- opm/output/eclipse/UDQDims.cpp